#
# Demo 'finished' python method (External Method)
#
# Let's assume we're a jpeg...

import os

def ReallyDone(container):
	request = container.REQUEST
	response = request.RESPONSE
	uploadId = request.ThisSessionId

	try:
		managerObj = container.uManager._getOb(uploadId)

		if managerObj.getStatus():
			f = open(request.TheFile, 'rb')
			data = f.read()
			f.close()
			response.setHeader('Content-Type', 'image/jpeg')
			response.setHeader('Content-Length', len(data))
			response.write(data)
		else: # display error messages... in an ugly fashion..
			response.setHeader('Content-Type', 'text/plain')
			for e in managerObj.getErrorMessages():
				response.write(e)
				response.write('\n')

		# Tell the upload manager we're finished with it.
		managerObj.uploadComplete()

		# Remove the File from the FS	
		os.unlink(request.TheFile)
	except:
		import traceback
		traceback.print_exc()
	return ''




